> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brume.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Run

> Update the run job request



## OpenAPI

````yaml api-reference/agent/agent-openapi.yml post /v1/run/{runId}
openapi: 3.0.3
info:
  title: Brume Agent API
  description: >-
    The API a Brume agent expect and will calls when interacting with Brume
    Orchestrator.
  version: '1.0'
servers:
  - url: https://api.brume.dev/v1
security:
  - ApiKeyAuth: []
paths:
  /v1/run/{runId}:
    post:
      description: Update the run job request
      parameters:
        - name: runId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The run job request updated
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The software is authentificated with this API key. When creating the API
        key, the software is registering his scope.

````